Page MenuHomePhabricator

[OMPT] Update types according to TR7
ClosedPublic

Authored by sconvent on Aug 15 2018, 6:33 AM.

Details

Summary

Some types and callback signatures have changed from TR6 to TR7.
Major changes (only adding signatures and stubs):
(-remove idle callback) done by D48362
-add reduction and dispatch callback
-add get_task_memory and finalize_tool runtime entry points
-ompt_invoker_t becomes ompt_parallel_flag_t
-more types of sync_regions

Diff Detail

Repository
rL LLVM

Event Timeline

sconvent created this revision.Aug 15 2018, 6:33 AM
sconvent edited the summary of this revision. (Show Details)
sconvent updated this revision to Diff 160803.Aug 15 2018, 7:07 AM

The removal of the idle callback was done in D48362 and is removed from this Patch.

hbae added inline comments.Aug 23 2018, 10:03 AM
runtime/src/kmp_csupport.cpp
2571 ↗(On Diff #160803)

Invocation of the lock function should be outside of the OMPT code.

2764 ↗(On Diff #160803)

Same here.

protze.joachim added inline comments.Aug 24 2018, 1:06 AM
runtime/src/kmp_csupport.cpp
2571 ↗(On Diff #160803)

hbae is right, the function call must be there, only the variable is ompt-specific.

What you actually might do is leaving the declaration and assignment in the ifdef, but move the function call out. This should avoid compiler warnings on unused variable acquire_status

2764 ↗(On Diff #160803)

You could do the same here, which will result in two separate ifdef blocks.

Hahnfeld added inline comments.Aug 24 2018, 1:10 AM
runtime/src/kmp_csupport.cpp
2571 ↗(On Diff #160803)

Just comment, no suggestion for either solution: You can also do (void) acquire_status;. I think that's used a lot in Clang's source code and will also avoid the compiler warning.

Hahnfeld added inline comments.Aug 27 2018, 11:15 AM
runtime/src/kmp_csupport.cpp
2571 ↗(On Diff #160803)

Fixed in D51303.

sconvent updated this revision to Diff 164628.Sep 10 2018, 1:17 AM

Moved lock calls out of OMPT code

hbae accepted this revision.Sep 10 2018, 6:52 AM

LGTM.

This revision is now accepted and ready to land.Sep 10 2018, 6:52 AM
Closed by commit rL341834: [OMPT] Update types according to TR7 (authored by jprotze, committed by ). · Explain WhySep 10 2018, 7:37 AM
This revision was automatically updated to reflect the committed changes.